package cn.jlsxwkj.common.utils;

import cn.hutool.log.dialect.slf4j.Slf4jLog;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author zh
 * 打印日志对象缓存池
 */
public class Log {

    private static final Map<String, Slf4jLog> CACHE_LOGS = new ConcurrentHashMap<>();

    public static void info(Class<?> clazz, String format, Object... args) {
        Slf4jLog log = getLogObj(clazz);
        log.info(format, args);
    }

    public static void warn(Class<?> clazz, String format, Object... args) {
        Slf4jLog log = getLogObj(clazz);
        log.warn(format, args);
    }

    public static void error(Class<?> clazz, String format, Object... args) {
        Slf4jLog log = getLogObj(clazz);
        log.warn(format, args);
    }

    private static Slf4jLog getLogObj(Class<?> clazz) {
        if (!CACHE_LOGS.containsKey(clazz.getName())) {
            CACHE_LOGS.put(clazz.getName(), new Slf4jLog(clazz));
        }
        return CACHE_LOGS.get(clazz.getName());
    }
}
